package com.mortals.xhx.common.code.flowable.listener;

import java.io.Serializable;

/**
 * 监听器值的类型
 *
 * @author: zxfei
 * @date: 2021/8/26 9:57
 */
public enum ListernerValueTypeEnum implements Serializable {
    CLASS("class", "类"),
    EXPRESSION("expression", "表达式"),
    DELEGATE_EXPRESSION("delegateExpression", "代理表达式");
    private String type;
    private String msg;

    ListernerValueTypeEnum(String type, String msg) {
        this.msg = msg;
        this.type = type;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
